rte_table_hash_params(3)

NAME
rte_table_hash_params

SYNOPSIS

#include <rte_table_hash.h>

  Data Fields

const char * name
uint32_t key_size
uint32_t key_offset
uint8_t * key_mask
uint32_t n_keys
uint32_t n_buckets
rte_table_hash_op_hash f_hash
uint64_t seed

Detailed Description

Hash table parameters

Definition at line 63 of file rte_table_hash.h.

Field Documentation

  const char* name
Name

Definition at line 65 of file rte_table_hash.h.

  uint32_t key_size
Key size (number of bytes)

Definition at line 68 of file rte_table_hash.h.

  uint32_t key_offset
Byte offset within packet meta-data where the key is located

Definition at line 71 of file rte_table_hash.h.

  uint8_t* key_mask
Key mask

Definition at line 74 of file rte_table_hash.h.

  uint32_t n_keys
Number of keys

Definition at line 77 of file rte_table_hash.h.

  uint32_t n_buckets
Number of buckets

Definition at line 80 of file rte_table_hash.h.

  rte_table_hash_op_hash f_hash
Hash function

Definition at line 83 of file rte_table_hash.h.

  uint64_t seed
Seed value for the hash function

Definition at line 86 of file rte_table_hash.h.

Author

Generated automatically by Doxygen for DPDK from the source code.